cordova.define("com.mysoft.gaodemap.MLieYing", function(require, exports, module) {
// baidu yingyan
var exec = require('cordova/exec');
var SERVICE_NAME = 'MLieYing';
var ACTION_START_TRACE = 'startTrace';
var ACTION_STOP_TRACE = 'stopTrace';
var ACTION_SET_INTERVAL = 'setInterval';
var ACTION_SET_LOCATION_MODE = 'setLocationMode';
var ACTION_GET_TRACK_HISTORY = 'getTrackHistory';
var ACTION_QUERY_LAST_POINT = 'queryLastPoint';
var ACTION_IS_TRACE_RUNNING = 'isTraceRunning';
var ACTION_IS_GPS_OPENING = 'isGpsOpen';
var ACTION_OPEN_GPS = 'openGps';
var ACTION_SET_LOCATIONATTRIBUTE = 'setLocationAttribute';
var ACTION_SET_LOCATIONCACHEMAXSIZE = 'setLocalCacheMaxSize';

var baiduTrace = {};

// Returns a jQuery or AngularJS deferred object, or pass a success and fail callbacks if you don't want to use jQuery or AngularJS
var getPromisedCordovaExec = function (command, entity, success, fail) {
  var toReturn, deferred, injector, $q;
  if (success === undefined) {
    if (window.jQuery) {
      deferred = jQuery.Deferred();
      success = deferred.resolve;
      fail = deferred.reject;
      toReturn = deferred;
    } else if (window.angular) {
      injector = angular.injector(["ng"]);
      $q = injector.get("$q");
      deferred = $q.defer();
      success = deferred.resolve;
      fail = deferred.reject;
      toReturn = deferred.promise;
    } else if (window.Promise) {
      toReturn = new Promise(function(c, e) {
        success = c;
        fail = e;
      });
    } else if (window.WinJS && window.WinJS.Promise) {
      toReturn = new WinJS.Promise(function(c, e) {
        success = c;
        fail = e;
      });
    } else {
      return console.error('AppVersion either needs a success callback, or jQuery/AngularJS/Promise/WinJS.Promise defined for using promises');
    }
  }

  cordova.exec(success, fail, SERVICE_NAME, command, [entity]);
  return toReturn;
};

baiduTrace.startTrace = function(params, success, fail, androidText) {

  return getPromisedCordovaExec(ACTION_START_TRACE, params, success, fail);
};
baiduTrace.stopTrace = function(success, fail) {
  return getPromisedCordovaExec(ACTION_STOP_TRACE, {}, success, fail);
};
baiduTrace.setInterval = function(gatherInterval, packInterval, success, fail) {
  var entity = {
    'gatherInterval': gatherInterval,
    'packInterval': packInterval
  };
  return getPromisedCordovaExec(ACTION_SET_INTERVAL, entity, success, fail);
};

baiduTrace.setLocationMode = function(mode, success, fail) {
  var entity = {
    'locationMode': mode
  };
  return getPromisedCordovaExec(ACTION_SET_LOCATION_MODE, entity, success, fail);
};

baiduTrace.getTrackHistory = function(params,success, fail) {

    return getPromisedCordovaExec(ACTION_GET_TRACK_HISTORY, params, success, fail);
};

baiduTrace.queryLastPoint = function(params, success, fail) {

    return getPromisedCordovaExec(ACTION_QUERY_LAST_POINT, params, success, fail);
};

baiduTrace.isTraceRunning = function(success, fail) {
    return getPromisedCordovaExec(ACTION_IS_TRACE_RUNNING, {}, success, fail);
};
baiduTrace.isGpsOpen = function(success, fail) {
    return getPromisedCordovaExec(ACTION_IS_GPS_OPENING, {}, success, fail);
};

baiduTrace.openGps = function(success, fail) {
    return getPromisedCordovaExec(ACTION_OPEN_GPS, {}, success, fail);
};
baiduTrace.setLocationAttribute = function(params,success, fail) {
   return getPromisedCordovaExec(ACTION_SET_LOCATIONATTRIBUTE, params, success, fail);
};
baiduTrace.setLocalCacheMaxSize = function(maxSize,success, fail) {
   return getPromisedCordovaExec(ACTION_SET_LOCATIONCACHEMAXSIZE, maxSize, success, fail);
};
module.exports = baiduTrace;
});
