cordova.define("com.mysoft.mengineerkit.MEngineerKit", function(require, exports, module) {
var exec = require('cordova/exec');

function MEngineerKit() {

}

MEngineerKit.prototype.BlueToothCallback = function (callback) {
    return function (result) {
        // onPoweredOn 1
        // onPoweredOff 2
        var code = result[0];
        switch (code) {
            case 1: {
                if (callback != null && callback.onPoweredOn != undefined && callback.onPoweredOn != null) {
                    callback.onPoweredOn();
                }
            }
                break;
            case 2: {
                if (callback != null && callback.onPoweredOff != undefined && callback.onPoweredOff != null) {
                    callback.onPoweredOff();
                }
            }
                break;
            default: {
                if (callback != null && callback.onError != undefined && callback.onError != null) {
                    callback.onError(result);
                }
            }
                break;
        }
    };
};

MEngineerKit.prototype.registerBlueToothObserver = function (callback) {
    exec(this.BlueToothCallback(callback), null, 'MEngineerKit', 'registerBlueToothObserver', []);
};

MEngineerKit.prototype.resignBlueToothObserver = function (success) {
    exec(success, null, 'MEngineerKit', 'resignBlueToothObserver', []);
}

MEngineerKit.prototype.scanCallback = function (callback) {
    return function (result) {
        // onStart 1
        // onNewDevice 2
        // onFinish 3;
        // onError 4
        var code = result[0];
        switch (code) {
            case 1: {
                if (callback != null && callback.onStart != undefined && callback.onStart != null) {
                    callback.onStart(result[1]);
                }
            }
                break;
            case 2: {
                if (callback != null && callback.onNewDevice != undefined && callback.onNewDevice != null) {
                    callback.onNewDevice(result[1]);
                }
            }
                break;
            case 3: {
                if (callback != null && callback.onFinish != undefined && callback.onFinish != null) {
                    callback.onFinish();
                }
            }
                break;
            case 4: {
                if (callback != null && callback.onError != undefined && callback.onError != null) {
                    callback.onError(result[1]);
                }
            }
                break;
            default: {
                if (callback != null && callback.onError != undefined && callback.onError != null) {
                    callback.onError(result);
                }
            }
                break;
        }
    };
};

MEngineerKit.prototype.searchDevice = function (options, callback) {
    exec(this.scanCallback(callback), this.scanCallback(callback), 'MEngineerKit', 'searchDevice', [options]);
};

MEngineerKit.prototype.stopSearchDevice = function (success, error) {
    exec(success, error, 'MEngineerKit', 'stopSearchDevice', []);
};

MEngineerKit.prototype.connectCallback = function (callback, options) {
    return function (result) {
        // onConnect 1
        // onReceiveData 2
        // onDisconnect 3;
        // onError 4
        // onClose 5
        var code = result[0];
        switch (code) {
            case 1: {
                if (callback != null && callback.onConnect != undefined && callback.onConnect != null) {
                    callback.onConnect(options);
                }
            }
                break;
            case 2: {
                if (callback != null && callback.onReceiveData != undefined && callback.onReceiveData != null) {
                    callback.onReceiveData(result[1], options);
                }
            }
                break;
            case 3: {
                if (callback != null && callback.onDisconnect != undefined && callback.onDisconnect != null) {
                    callback.onDisconnect(options);
                }
            }
                break;
            case 4: {
                if (callback != null && callback.onError != undefined && callback.onError != null) {
                    callback.onError(result[1], options);
                }
            }
                break;
            case 5: {
                if (callback != null && callback.onClose != undefined && callback.onClose != null) {
                    callback.onClose(options);
                }
            }
                break;
            default: {
                if (callback != null && callback.onError != undefined && callback.onError != null) {
                    callback.onError(result, options);
                }
            }
                break;
        }
    };
};

MEngineerKit.prototype.connectDevice = function (options, callback) {
    exec(this.connectCallback(callback, options), this.connectCallback(callback, options), "MEngineerKit", "connectDevice", [options]);
};

MEngineerKit.prototype.disconnectDevice = function (devicesName, success, error) {
    exec(success, error, 'MEngineerKit', 'disconnectDevice', [devicesName]);
};

MEngineerKit.prototype.getConnectedDevices = function (success, error) {
    exec(success, error, 'MEngineerKit', 'getConnectedDevices', []);
};

var me = new MEngineerKit();
module.exports = me;

});
