cordova.define("com.mysoft.mfastlog.MFastLog", function(require, exports, module) {
var exec = require('cordova/exec');

exports.setFastConfig = function (config, success, error) {
    exec(success, error, "MFastLog", "setFastConfig", [config]);

};

exports.writeToFile = function (log, type, success, error) {
    exec(success, error, "MFastLog", "writeToFile", [log, type]);
};

exports.setExtraLogs = function (config, success, error) {
    exec(success, error, "MFastLog", "setExtraLogs", [config]);
};

exports.getBasicInformation = function (success) {
    exec(success, null, "MFastLog", "getBasicInformation", []);
};

exports.setLogLevelByJson = function (level, success, error) {
    exec(success, error, "MFastLog", "setLogLevelByJson", [level]);
    // 主动触发：有"anr" 打开， 无"anr" 关闭,["event", "crash", "anr"]
    var index = (level || []).indexOf('anr')
    if (index !== -1) {
        starHeartbeat()
    } else {
        clearTimeout(hasHearBeat)
        hasHearBeat = undefined
    }
};

exports.setLogMaxSize = function (maxSize, success, error) {
    exec(success, error, "MFastLog", "setLogMaxSize", [maxSize]);
};

exports.setCompressionNumber = function (number, success, error) {
    exec(success, error, "MFastLog", "setCompressionNumber", [number]);
};

exports.startUploadLog = function (success, error) {
    exec(success, error, "MFastLog", "startUploadLog", []);
};

exports.sendHeart = function (time, success, error) {
    exec(success, error, "MFastLog", "sendHeart", [time]);
};

exports.test_crash_83jd9zPvM1 = function () {
    exec(null, null, "MFastLog", "test_crash_83jd9zPvM1", []);
};



var hasHearBeat = undefined
var shouldConnectHearBeat = false

function starHeartbeat() {
    if (hasHearBeat) return
    heartbeat()

    function heartbeat() {
        hasHearBeat = setTimeout(function () {
            MFastLog.sendHeart(2500, function () {
                heartbeat()
            }, function (err) {
                hasHearBeat = undefined
                console.log("error:" + JSON.stringify(err))
            })
        }, 2500)
    }
}

document.addEventListener('deviceready', starHeartbeat)
document.addEventListener('pause', function () {
    if (!hasHearBeat) return
    clearTimeout(hasHearBeat)
    hasHearBeat = undefined
    shouldConnectHearBeat = true
})

document.addEventListener('resume', function () {
    if (!shouldConnectHearBeat) return
    starHeartbeat()
    shouldConnectHearBeat = false
})
});
