cordova.define("com.mysoft.mimagepicker.MImagePicker", function(require, exports, module) {
var exec = require('cordova/exec');

module.exports = {
    openCamera: function (path, success, error, options) {
        exec(success, error, 'MImagePicker', 'openCamera', [path, options]);
    },
    openAlbum: function (path, success, error, options) {
        exec(success, error, 'MImagePicker', 'openAlbum', [path, options]);
    },
    openAlbumForVideo: function (paths, success, error, options) {
        exec(success, error, 'MImagePicker', 'openAlbumForVideo', [paths, options]);
    },
    openAlubmForVideosAndImages: function (paths, success, error, options) {
        exec(success, error, 'MImagePicker', 'openAlubmForVideosAndImages', [paths, options]);
    },
    openAlbumForVideosAndImages: function (paths, success, error, options) {
        exec(success, error, 'MImagePicker', 'openAlbumForVideosAndImages', [paths, options]);
    },
    imageProcess: function (path, success, error, options) {
        exec(success, error, 'MImagePicker', 'imageProcess', [path, options]);
    },
    videoProcess: function (path, success, error, options) {
        exec(success, error, 'MImagePicker', 'videoProcess', [path, options]);
    },
    editImage: function (pathGroups, success, error, options) {
        exec(success, error, 'MImagePicker', 'editImage', [pathGroups, options]);
    },
    getImageInfo: function (path, success, error) {
        exec(success, error, 'MImagePicker', 'getImageInfo', [path]);
    },
    getVideoInfo: function (path, success, error, options) {
        exec(success, error, 'MImagePicker', 'getVideoInfo', [path, options]);
    },
    saveToAlbum: function (path, success, error, group) {
        exec(success, error, 'MImagePicker', 'saveToAlbum', [path, group]);
    },
    openWatermarkCamera: function (cameraParams, callback) {
        exec(function (result) {
            var code = result[0];
            switch (code) {
                case 0:
                    if (callback.onSuccess) { // 成功打开回调
                        callback.onSuccess();
                    }
                    break;
                case 1:
                    if (callback.onThumbnailClick) { // 点击左下角缩略图
                        callback.onThumbnailClick();
                    }
                    break;
                case 2:
                    if (callback.onWatermarkSettingClick) { // 点击水印设置按钮
                        callback.onWatermarkSettingClick();
                    }
                    break;
                case 3:
                    if (callback.onSyncClick) { // 点击同步按钮
                        callback.onSyncClick();
                    }
                    break;
                case 4:
                    if (callback.onSyncFailClick) { // 点击同步失败按钮
                        callback.onSyncFailClick();
                    }
                    break;
                case 5:
                    if (callback.onTakePicture) { // 拍照触发事件，每拍一次触发一次
                        callback.onTakePicture(result[1]);
                    }
                    break;
                case 6:
                    if (callback.onClose) { // 关闭时间，主动调用关闭方法时触发
                        callback.onClose();
                    }
                    break;
                case 7:
                    if (callback.onWatermarkConfigClick) { // 回传watermarkConfigBtnArr配置点击的index位置
                        callback.onWatermarkConfigClick(result[1]);
                    }
                    break;
            }
        },
            function (error) {
                if (callback.onError) { // 调用失败回调
                    callback.onError(error);
                }
            },
            'MImagePicker', 'openWatermarkCamera', [cameraParams]);
    },
    closeWatermarkCamera: function () {
        exec(null, null, 'MImagePicker', 'closeWatermarkCamera', []);
    },
    updateWatermarkCameraSyncState: function (options) { // 更新水印相机同步状态
        exec(null, null, 'MImagePicker', 'updateWatermarkCameraSyncState', [options]);
    },
    updateWatermarkCameraConfig: function (config) { // 更新水印相机配置
        exec(null, null, 'MImagePicker', 'updateWatermarkCameraConfig', [config]);
    }
}
});
