cordova.define("com.mysoft.mtxliveroom.mtxliveroom", function(require, exports, module) {
var exec = require('cordova/exec');

module.exports = {
    login: function (params, success, fail) {
        exec(success, fail, "mtxliveroom", "login", [params]);
    },
    logout: function (success, fail) {
        exec(success, fail, "mtxliveroom", "logout", []);
    },
    createRoom: function (params, callback) {
        if (params == null) {
            console.log('params must not be null');
            return;
        }
        if (callback == null) {
            console.log('callback must not be null');
            return;
        }
        exec(
            function (result) {
                var code = result[0];
                switch (code) {
                    case 1:
                        if (callback.onSuccess != null) {
                            callback.onSuccess();
                        }
                        break;
                    case 2:
                        if (callback.onClose != null) {
                            callback.onClose();
                        }
                        break;
                    case 3:
                        if (callback.onOpen != null) {
                            callback.onOpen();
                        }
                        break;
                };
            },
            function (error) {
                if (callback.onError != null) {
                    callback.onError(error);
                }
            },
            "mtxliveroom",
            "createRoom",
            [params]
        );
    },
    enterRoom: function (params, callback) {
        if (params == null) {
            console.log('params must not be null');
            return;
        }
        if (callback == null) {
            console.log('callback must not be null');
            return;
        }
        exec(
            function (result) {
                var code = result[0];
                switch (code) {
                    case 1:
                        if (callback.onSuccess != null) {
                            callback.onSuccess();
                        }
                        break;
                    case 2:
                        if (callback.onClose != null) {
                            callback.onClose();
                        }
                        break;
                    case 3:
                        if (callback.onOpen != null) {
                            callback.onOpen();
                        }
                        break;
                };
            },
            function (error) {
                if (callback.onError != null) {
                    callback.onError(error);
                }
            },
            "mtxliveroom",
            "enterRoom",
            [params]
        );
    },
    addStatusListener: function (callback) {
        if (callback == null) {
            console.log('callback must not be null');
            return;
        }
        exec(
            function (result) {
                var code = result[0];
                switch (code) {
                    case 1:
                        if (callback.onConnecting != null) {
                            callback.onConnecting();
                        }
                        break;
                    case 2:
                        if (callback.onConnSuccess != null) {
                            callback.onConnSuccess();
                        }
                        break;
                    case 3:
                        if (callback.onConnFailed != null) {
                            var msg = result[1];
                            callback.onConnFailed(msg);
                        }
                        break;
                    case 4:
                        if (callback.onForceOffline != null) {
                            callback.onForceOffline();
                        }
                        break;
                    case 5:
                        if (callback.onSigExpired != null) {
                            callback.onSigExpired();
                        }
                        break;
                };
            },
            null,
            "mtxliveroom",
            "addStatusListener",
            []
        );
    }
}
});
