
------------------------------- 1、承建商APP（验房部分） 数据表 --------------------------------

--------------------------- 承建商APP（验房部分） begin -------------------------------------

-- ----------------------------
--  Table: global_storage
-- ----------------------------
CREATE TABLE IF NOT EXISTS global_storage
(
  key                     TEXT PRIMARY KEY NOT NULL,
  value                   TEXT
);


-- ----------------------------
--  Table: tenant_storage
-- ----------------------------
CREATE TABLE IF NOT EXISTS tenant_storage
(
  tenant_id               TEXT NOT NULL COLLATE NOCASE,
  key                     TEXT NOT NULL,
  value                   TEXT,

  CONSTRAINT  pk_tenant_storage PRIMARY KEY (tenant_id, key)
);


/*==============================================================*/
/* Table: data_download                                         */
/*==============================================================*/

CREATE TABLE IF NOT EXISTS download_timestamp
(
  id                  TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
  business_type       TEXT,
  business_id         TEXT COLLATE NOCASE,
  download_time       TEXT
);


/*==============================================================*/
/* Table: data_increment   operate_type:   repaired,to_repair,sent_back */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS data_increment
(
  id                   TEXT COLLATE NOCASE,
  tenant_id            TEXT COLLATE NOCASE,
  proj_id              TEXT COLLATE NOCASE,
  operate_type         TEXT,
  business_type        TEXT,
  business_id          TEXT COLLATE NOCASE,
  operate_date         TEXT
);


/*==============================================================*/
/* Table: behavior                                                 */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS behavior
(
  id                      TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
  tenant_code             TEXT,
  operation_name          TEXT,
  source                  TEXT,
  operate_time            TEXT,
  remark                  TEXT
);


/*==============================================================*/
/* Table: tenant                                                */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS tenant
(
  id                    TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
  code                  TEXT,
  name                  TEXT
);


/*==============================================================*/
/* Table: my_project                                            */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS my_project
(
  id                   TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
  name                 TEXT NOT NULL,
  tenant_id            TEXT NOT NULL COLLATE NOCASE,
  tenant_name          TEXT NOT NULL,
  is_default           INTEGER DEFAULT 0,
  auth_time            DATETIME,
  created_on           DATETIME DEFAULT (datetime('now', 'localtime'))
);


/*==============================================================*/
/* Table: my_team                                               */
/* status:pending,approved,rejected                             */
/* role:principal,engineer                                      */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS my_team
(
  tenant_id               TEXT NOT NULL COLLATE NOCASE,
  proj_id                 TEXT NOT NULL COLLATE NOCASE,
  contractor_user_id      TEXT NOT NULL COLLATE NOCASE,
  leader_id               TEXT COLLATE NOCASE,
  contractor_id           TEXT COLLATE NOCASE,
  created_on              DATETIME DEFAULT (datetime('now', 'localtime')),
  modified_on             DATETIME DEFAULT (datetime('now', 'localtime')),
  is_deleted              INTEGER DEFAULT 0,

  CONSTRAINT  pk_my_team PRIMARY KEY (proj_id, contractor_user_id, leader_id, contractor_id)
);


/*==============================================================*/
/* Table: user                                                  */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS user
(
  id                      TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
  user_id                 TEXT NOT NULL COLLATE NOCASE,
  tenant_id               TEXT NOT NULL COLLATE NOCASE DEFAULT '',
  name                    TEXT,
  mobile                  TEXT,
  avatar_url              TEXT,
  avatar_local            TEXT
);


/*==============================================================*/
/* Table: batch_room                                            */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS batch_room
(
   id                     TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
   tenant_id              TEXT COLLATE NOCASE,
   proj_id                TEXT COLLATE NOCASE,
   batch_id               TEXT COLLATE NOCASE,
   batch_building_id      TEXT COLLATE NOCASE,
   room_id                TEXT COLLATE NOCASE,
   room_no                TEXT,
   floor                  TEXT,
   unit                   TEXT,
   room_type_id           TEXT COLLATE NOCASE,
   building_id            TEXT COLLATE NOCASE,
   building_name          TEXT
);


/*==============================================================*/
/* Table: check_item_desc                                       */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS check_item_desc
(
   id                   TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
   tenant_id            TEXT COLLATE NOCASE,
   name                 TEXT,
   check_item_id        TEXT COLLATE NOCASE,
   sort                 INTEGER DEFAULT 0
);


/*==============================================================*/
/* Table: checkroom_problem                                     */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS checkroom_problem
(
   id                               TEXT PRIMARY KEY NOT NULL,
   code                             TEXT,
   tenant_id                        TEXT COLLATE NOCASE,
   batch_id                         TEXT COLLATE NOCASE,
   batch_building_id                TEXT COLLATE NOCASE,
   batch_room_id                    TEXT COLLATE NOCASE,
   proj_id                          TEXT COLLATE NOCASE,
   building_name                    TEXT,
   unit_full_name                   TEXT,
   floor_name                       TEXT,
   room_id                          TEXT COLLATE NOCASE,
   room_name                        TEXT,
   position_id                      TEXT COLLATE NOCASE,
   item_id                          TEXT COLLATE NOCASE,
   desc_id                          TEXT COLLATE NOCASE,
   remark                           TEXT,
   coordinate                       TEXT,
   contractor_id                    TEXT COLLATE NOCASE,
   responsible_company_id           TEXT COLLATE NOCASE,
   status                           TEXT,
   sub_status                       TEXT,
   regist_date                      DATETIME,
   dispatch_date                    DATETIME,
   review_date                      DATETIME,
   sent_back_date                   DATETIME,
   sent_back_times                  INTEGER DEFAULT 0,
   sent_back_reason                 TEXT,
   invalid_date                     DATETIME,
   close_date                       DATETIME,
   emergency_degree                 TEXT,
   repair_deadline                  TEXT,
   assign_user_id                   TEXT COLLATE NOCASE,  -- 问题的当前负责人
   repair_date                      DATETIME,
   repair_remark                    TEXT,
   assign_date                      DATETIME,
   contractor_reject_date           DATETIME,
   contractor_reject_times          INTEGER DEFAULT 0,
   contractor_return_back_date      DATETIME,
   is_update                        INTEGER DEFAULT 0,
   is_test_batch                    INTEGER DEFAULT 0,
   assign_to                        TEXT, -- 该问题被当前用户指派的负责人，如a指派给b，b指派给c，在a的账号里面assign_to是b，assign_user_id是成c
   roomtype_diagram_id              TEXT COLLATE NOCASE,
   regist_user_id                   TEXT COLLATE NOCASE,
   repaired_by                      TEXT COLLATE NOCASE,
   assign_from                      TEXT COLLATE NOCASE,
   is_cannot_repair                 INTEGER DEFAULT 0,
   forbid_contractor_return_back    INTEGER DEFAULT 0,
   letter_send_status               TEXT
);


/*==============================================================*/
/* Table: checkroom_problem_log                                 */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS checkroom_problem_log
(
   id                           TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
   checkroom_problem_id         TEXT COLLATE NOCASE,
   operate_type                 TEXT,
   operate_reason               TEXT,
   operate_user_id              TEXT COLLATE NOCASE,
   operate_user_name            TEXT,
   created_on                   DATETIME DEFAULT (datetime('now', 'localtime')),
   former_assign_id             TEXT COLLATE NOCASE,
   source                       TEXT
);


-- ----------------------------
--  Table structure for checkroom_problem_operate_log
-- ----------------------------
CREATE TABLE IF NOT EXISTS checkroom_problem_operate_log
(
  id                           TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
  checkroom_problem_id         TEXT COLLATE NOCASE,
  operate_type                 TEXT,
  operate_reason               TEXT,
  remark                       TEXT,
  operate_date                 TEXT,
  operate_user_id              TEXT COLLATE NOCASE,
  operate_user_name            TEXT,
  proj_id                      TEXT COLLATE NOCASE,
  source                       TEXT
);


/*==============================================================*/
/* Table: position                                              */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS position
(
   id                   TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
   tenant_id            TEXT COLLATE NOCASE,
   name                 TEXT,
   sort                 INTEGER DEFAULT 0
);


/*==============================================================*/
/* Table: problem_class                                         */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS problem_class
(
   id                   TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
   tenant_id            TEXT COLLATE NOCASE,
   name                 TEXT,
   parent_id            TEXT COLLATE NOCASE,
   sort                 INTEGER DEFAULT 0
);


/*==============================================================*/
/* Table: problem_images type:0整改前，1整改后                   */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS problem_images
(
   id                   TEXT PRIMARY KEY ON CONFLICT IGNORE COLLATE NOCASE,
   problem_id           TEXT COLLATE NOCASE,
   business_id          TEXT COLLATE NOCASE,
   proj_id              TEXT COLLATE NOCASE,
   img_url              TEXT,
   img_localpath        TEXT,
   sort                 INTEGER DEFAULT 0,
   type                 TEXT
);


/*==============================================================*/
/* Table: room_type                                             */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS room_type
(
   id                   TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
   tenant_id            TEXT NOT NULL COLLATE NOCASE,
   name                 TEXT NOT NULL,
   structure            TEXT,
   fitment_standard     TEXT,
   diagram_url          TEXT,
   diagram_localpath    TEXT
);


/*==============================================================*/
/* Table: room_type_diagram                            */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS room_type_diagram
(
   id                   TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
   name                 TEXT,
   sort                 TEXT,
   url                  TEXT,
   local_path           TEXT,
   room_type_id         TEXT COLLATE NOCASE
);


/*==============================================================*/
/* Table: default_user_item                                     */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS default_engineer_item (
    id                           TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
    proj_id                      TEXT COLLATE NOCASE,
    contractor_engineer_id       TEXT COLLATE NOCASE,
    item_id                      TEXT COLLATE NOCASE,
    desc_id                      TEXT COLLATE NOCASE
);


/*==============================================================*/
/* Table: default_user_building                                 */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS default_engineer_building (
    id                           TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
    proj_id                      TEXT COLLATE NOCASE,
    contractor_engineer_id       TEXT COLLATE NOCASE,
    building_id                  TEXT COLLATE NOCASE,
    unit                         TEXT,
    floor                        TEXT
);


/*==============================================================*/
/* Table: contractor_checkitem                                  */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS contractor_checkitem
(
    proj_id              TEXT COLLATE NOCASE,
    checkitem_id         TEXT COLLATE NOCASE,
    checkitem_name       TEXT,
    sort                 INTEGER DEFAULT 0
);


/*==============================================================*/
/* Table: contractor_checkitem_desc                             */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS contractor_checkitem_desc
(
    id                TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
    name              TEXT,
    checkitem_id      TEXT COLLATE NOCASE,
    sort              INTEGER DEFAULT 0
);


/*==============================================================*/
/* Table: contractor_building                                   */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS contractor_building
(
    id                 TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
    proj_id            TEXT COLLATE NOCASE,
    building_name      TEXT,
    area_name          TEXT,
    sort               INTEGER DEFAULT 0
);


/*==============================================================*/
/* Table: contractor_building_unit                              */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS contractor_building_unit
(
    building_id     TEXT COLLATE NOCASE,
    unit            TEXT,
    sort            INTEGER DEFAULT 0
);


/*==============================================================*/
/* Table: contractor_building_floor                             */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS contractor_building_floor
(
    building_id       TEXT COLLATE NOCASE,
    floor             TEXT,
    sort              INTEGER DEFAULT 0
);


/*==============================================================*/
/* Table: batch                             */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS batch
(
    id                    TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
    proj_id               TEXT COLLATE NOCASE,
    name                  TEXT,
    batch_type            TEXT,
    batch_purpose         TEXT,
    sort                  INTEGER DEFAULT 0
);


--  即时通讯数据表 --

-- 默认头像 --
CREATE TABLE IF NOT EXISTS default_avatar
(
    id                  TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
    img_url             TEXT,
    img_local_path      TEXT,
    type                TEXT
);

-- 用户信息 --
CREATE TABLE IF NOT EXISTS chat_user
(
  id                        TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
  user_id                   TEXT NOT NULL COLLATE NOCASE,
  tenant_id                 TEXT NOT NULL COLLATE NOCASE DEFAULT '',
  name                      TEXT NOT NULL COLLATE NOCASE,
  mobile                    TEXT,
  avatar_url                TEXT,
  avatar_local_path         TEXT
);

-- 用户所属公司 --
CREATE TABLE IF NOT EXISTS user_company
(
  user_id         TEXT NOT NULL COLLATE NOCASE,
  company_id      TEXT NOT NULL COLLATE NOCASE,
  tenant_id       TEXT NOT NULL COLLATE NOCASE DEFAULT '',

  CONSTRAINT pk_user_company PRIMARY KEY (user_id, company_id, tenant_id)
);

-- 公司 --
CREATE TABLE IF NOT EXISTS company
(
  company_id           TEXT NOT NULL COLLATE NOCASE,
  tenant_id            TEXT NOT NULL COLLATE NOCASE DEFAULT '',
  short_name           TEXT COLLATE NOCASE,
  full_name            TEXT COLLATE NOCASE,

  CONSTRAINT pk_company PRIMARY KEY (company_id, tenant_id)
);

-- 群信息 --
CREATE TABLE IF NOT EXISTS chat_group
(
  id                  TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
  name                TEXT NOT NULL COLLATE NOCASE,
  is_system           TEXT NOT NULL COLLATE NOCASE,
  manager_id          TEXT NOT NULL COLLATE NOCASE,
  avatar_id           TEXT NOT NULL COLLATE NOCASE,
  tenant_id           TEXT NOT NULL COLLATE NOCASE
);

-- 群成员 --
CREATE TABLE IF NOT EXISTS chat_group_user
(
  id                TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
  group_id          TEXT NOT NULL COLLATE NOCASE,
  user_id           TEXT NOT NULL COLLATE NOCASE,
  tenant_id         TEXT NOT NULL COLLATE NOCASE DEFAULT ''
);

-- 会话表 --
CREATE TABLE IF NOT EXISTS chat
(
  id                  TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
  name                TEXT NOT NULL COLLATE NOCASE,
  chat_type           TEXT NOT NULL COLLATE NOCASE, -- 群聊：group，私聊：private --
  relation_id         TEXT NOT NULL COLLATE NOCASE, -- 群聊时记group_id，私聊时记对方的user_id --
  last_message        TEXT,
  refresh_time        TEXT,
  delete_time         TEXT,
  is_top              INTEGER,
  not_read_count      INTEGER,
  is_silent           INTEGER
);

/*==============================================================*/
/* Table: checkroom_problem_data_summary 问题列表筛选项清洗表                                   */
/*==============================================================*/
CREATE TABLE IF NOT EXISTS checkroom_problem_data_summary (
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    proj_id           TEXT,
    status            TEXT,
    batch_id          TEXT,
    batch_name        TEXT,
    batch_type        TEXT,
    batch_building_id TEXT,
    unit_full_name    TEXT,
    floor_name        TEXT,
    room_no           TEXT,
    item_id           TEXT,
    item_name         TEXT,
    item_sort         TEXT,
    assign_to         TEXT,
    assign_to_name    TEXT,
    assign_user_id    TEXT,
    assign_user_name  TEXT,
    repair_date_group DATE,
    sent_back_type    TEXT,
    problem_count     TEXT
);

-- 验房 索引 --

CREATE INDEX IF NOT EXISTS idx_batch_room_proj_id ON batch_room (proj_id);
CREATE INDEX IF NOT EXISTS idx_batch_room_room_id ON batch_room (room_id);
CREATE INDEX IF NOT EXISTS idx_batch_room_floor ON batch_room (floor);
CREATE INDEX IF NOT EXISTS idx_batch_room_building_name ON batch_room (building_name);

CREATE INDEX IF NOT EXISTS idx_checkroom_problem_batch_room_id ON checkroom_problem (batch_room_id);
CREATE INDEX IF NOT EXISTS idx_checkroom_problem_batch_item_id ON checkroom_problem (item_id);
CREATE INDEX IF NOT EXISTS idx_checkroom_problem_batch_position_id ON checkroom_problem (position_id);
CREATE INDEX IF NOT EXISTS idx_checkroom_problem_batch_assign_user_id ON checkroom_problem (assign_user_id);
CREATE INDEX IF NOT EXISTS idx_checkroom_problem_batch_proj_id ON checkroom_problem (proj_id);
CREATE INDEX IF NOT EXISTS idx_checkroom_problem_batch_building_name ON checkroom_problem (building_name);
CREATE INDEX IF NOT EXISTS idx_checkroom_problem_batch_floor_name ON checkroom_problem (floor_name);
CREATE INDEX IF NOT EXISTS idx_checkroom_problem_batch_repair_deadline ON checkroom_problem (repair_deadline);
CREATE INDEX IF NOT EXISTS idx_checkroom_problem_batch_repair_date ON checkroom_problem (repair_date);
CREATE INDEX IF NOT EXISTS idx_checkroom_problem_assign_to ON checkroom_problem (assign_to);

CREATE INDEX IF NOT EXISTS idx_problem_images_proj_id ON problem_images (proj_id);

CREATE INDEX IF NOT EXISTS idx_my_team_proj_id ON my_team (proj_id);

CREATE INDEX IF NOT EXISTS idx_default_engineer_item_proj_id_contractor_engineer_id ON default_engineer_item (proj_id, contractor_engineer_id);
CREATE INDEX IF NOT EXISTS idx_default_engineer_building_proj_id_contractor_engineer_id ON default_engineer_building (proj_id, contractor_engineer_id);
CREATE INDEX IF NOT EXISTS idx_contractor_checkitem_proj_id ON contractor_checkitem (proj_id);
CREATE INDEX IF NOT EXISTS idx_contractor_checkitem_desc_checkitem_id ON contractor_checkitem_desc (checkitem_id);
CREATE INDEX IF NOT EXISTS idx_contractor_building_proj_id ON contractor_building (proj_id);
CREATE INDEX IF NOT EXISTS idx_contractor_building_unit_building_id ON contractor_building_unit (building_id);
CREATE INDEX IF NOT EXISTS idx_contractor_building_floor_building_id ON contractor_building_floor (building_id);


--------------------------- 承建商APP（验房部分） end -------------------------------------



------------------------------- 2、承建商APP（客服部分） 数据表 --------------------------------

--------------------------- 承建商APP（客服部分） begin -------------------------------------


-- ----------------------------
-- Table structure for kf_work_operate_log
-- ----------------------------
CREATE TABLE IF NOT EXISTS kf_work_operate_log
(
  id                  TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
  work_id             TEXT COLLATE NOCASE,
  operation_type      TEXT,
  operator_name       TEXT,
  remark              TEXT,
  operation_time      TEXT,
  proj_id             TEXT COLLATE NOCASE,
  operator_id         TEXT COLLATE NOCASE
);

-- ----------------------------
-- Table structure for kf_data_increment
-- ----------------------------
CREATE TABLE IF NOT EXISTS kf_data_increment
(
   id                   TEXT COLLATE NOCASE,
   tenant_id            TEXT COLLATE NOCASE,
   proj_id              TEXT COLLATE NOCASE,
   operate_type         TEXT,
   business_type        TEXT,
   business_id          TEXT COLLATE NOCASE
);

-- ----------------------------
-- Table structure for kf_my_team
-- ----------------------------
CREATE TABLE IF NOT EXISTS kf_my_team
(
   contractor_user_id  TEXT NOT NULL COLLATE NOCASE,
   tenant_id           TEXT NOT NULL COLLATE NOCASE,
   proj_id             TEXT  NOT NULL COLLATE NOCASE,
   contractor_id       TEXT NOT NULL COLLATE NOCASE,
   leader_id           TEXT COLLATE NOCASE,
   created_on          DATETIME DEFAULT (datetime('now', 'localtime')),
   modified_on         DATETIME DEFAULT (datetime('now', 'localtime')),
   is_deleted          INTEGER DEFAULT 0,

  CONSTRAINT pk_my_team PRIMARY KEY (contractor_user_id, proj_id, contractor_id)
);

-- ----------------------------
-- Table structure for kf_data_download_time
-- ----------------------------
CREATE TABLE IF NOT EXISTS kf_data_download_time
(
   proj_id              TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
   download_time        DATETIME
);

CREATE TABLE IF NOT EXISTS kf_my_project
(
   id                   TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
   name                 TEXT NOT NULL,
   tenant_id            TEXT NOT NULL COLLATE NOCASE,
   tenant_name          TEXT NOT NULL,
   is_default           INTEGER DEFAULT 0,
   auth_time            DATETIME,
   created_on           DATETIME DEFAULT (datetime('now', 'localtime'))
);

CREATE TABLE IF NOT EXISTS kf_work_assign_engineer
(
    id                  TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
    work_id             TEXT COLLATE NOCASE,
    assign_from         TEXT COLLATE NOCASE,	    -- 指派人Id
    assign_to           TEXT COLLATE NOCASE,		  -- 被指派人Id
    timestamp           TEXT,                     -- 操作时间
    is_deleted          INTEGER DEFAULT 0
);

-- ---------------------------------------------------------------------------------------------------
-- 由于所有数据都是要支持离线的，所以直接将本地app当成一套sql玩吧，搞起（SQLite）
-- COLLATE NOCASE:不区分大小写
-- ---------------------------------------------------------------------------------------------------

-- 1.筛选器部分需要的表
-- 负责人表，负责人直接在k_work中反查
-- 问题分类表(kf_task_problem)

CREATE TABLE IF NOT EXISTS kf_task_problem
(
    `id` CHAR(36) PRIMARY KEY NOT NULL,
    `task_id` char(36) DEFAULT NULL COLLATE NOCASE, -- COMMENT '任务id,一个任务可以有多个问题描述'
    `class_id` char(36) DEFAULT NULL COLLATE NOCASE, -- COMMENT '问题分类ID'
    `class_name` varchar(50) DEFAULT '',    -- COMMENT '问题分类简称'
    `class_full_name` varchar(500) DEFAULT NULL,    -- COMMENT '问题分类全称'
    `problem_name` varchar(128) DEFAULT '', -- 问题描述，一个work可以有多个对应(列表页字段；对应k_task_problem表中的problem_name字段)
    `remark` varchar(150) DEFAULT '' -- COMMENT '问题描述补充说明'
);
-- 楼栋表(kf_building)
CREATE TABLE IF NOT EXISTS kf_building
(
    `id` CHAR(36) NOT NULL,
    `proj_id` CHAR(36) DEFAULT '' COLLATE NOCASE, -- , -- COMMENT '项目id'
    `name` varchar(50) DEFAULT NULL, -- COMMENT '分区名+楼栋名'
    `sort` int(8) DEFAULT 0, -- COMMENT '排序'
    PRIMARY KEY (`id`)
);
-- 楼栋单元表(kf_building_unit)
CREATE TABLE IF NOT EXISTS kf_building_unit
(
    `id` CHAR(36) NOT NULL,
    `building_id` CHAR(36) DEFAULT '' COLLATE NOCASE, -- COMMENT '楼栋id'
    `building_name` varchar(50) DEFAULT NULL, -- COMMENT '楼栋名,冗余字段,方便前端查询'
    `unit` varchar(50) DEFAULT NULL, -- COMMENT '单元'
    `sort` int(8) DEFAULT 0, -- COMMENT '排序'
    PRIMARY KEY (`id`)
);
-- 房间表(kf_room)
CREATE TABLE IF NOT EXISTS kf_room
(
    `id` CHAR(36) NOT NULL,
    `building_id` CHAR(36) DEFAULT '' COLLATE NOCASE, -- COMMENT '楼栋id'
    `proj_id` CHAR(36) DEFAULT '' COLLATE NOCASE, -- COMMENT '项目id'
    `unit` CHAR(36) DEFAULT '', -- COMMENT '单元'
    `floor` varchar(20) DEFAULT null , -- COMMENT '楼层'
    `name` varchar(50) DEFAULT NULL , -- COMMENT '房间名'
    `room_no` varchar(50) DEFAULT NULL , -- COMMENT '房号'
    `sort` int(11) DEFAULT 0 , -- COMMENT '排序'
    PRIMARY KEY (`id`)
);
-- 默认排序，不需要表，写死就好：promise_deadline、send_back_times、work_code、booking_time
-- 2.列表数据
-- 任务主表(kf_work)  fixme还差筛选器条件
CREATE TABLE IF NOT EXISTS kf_work
(
    `id`                         char(36) not null,
    `proj_id`                    char(36) not null DEFAULT '' COLLATE NOCASE,   -- 项目ID
    `tenant_id`                  char(36) not null DEFAULT '' COLLATE NOCASE,   -- 租户ID
    `building_id`                char(36) not null DEFAULT '' COLLATE NOCASE,   -- 楼栋id
    `unit`                       varchar(50) DEFAULT NULL,                      -- 单元(因为有独栋楼是没有单元的)
    `floor`                      varchar(50) DEFAULT NULL,                      -- 楼层
    `room_id`                    varchar(50) DEFAULT NULL COLLATE NOCASE,       -- 房间id
    `room_name`                  varchar(100) DEFAULT NULL,                     -- 维修对象：分区楼栋单元-楼层-房号
    `room_no`                    varchar(100) DEFAULT NULL,                     -- 维修对象：分区楼栋单元-楼层-房号
    `task_id`                    char(36) not null DEFAULT '' COLLATE NOCASE,   -- task表主键id
    `problem_position`           varchar(255) not null DEFAULT '',              -- 问题部位名称
    `subject`                    TEXT,                                          -- 任务描述(详情页；对应k_work表的task_remark字段)
    `status`                     varchar(25) not null DEFAULT '',               -- 整改状态:'待指派','待整改','已整改','已通过','被退回'
    `work_code`                  varchar(50) DEFAULT NULL,                      -- COMMENT '派工单号'
    `contractor_user_id`         char(36) DEFAULT '',                           -- 负责任id,对应k_work表中的contractor_user_id字段
    `contractor_user_name`       char(36) DEFAULT '',                           -- 负责人name
    `maintainer_id`              char(36) DEFAULT NULL COLLATE NOCASE,          -- 承建商id	默认为第三方责任方 如为空则为承建商
    `maintainer_name`            varchar(100) DEFAULT NULL,                     -- 承建商名称
    `register_time`              DATETIME,                                      -- 登记时间(k_task表的accept_time)
    `assign_time`                DATETIME,                                      -- 指派时间
    `booking_time`               DATETIME,                                      -- 预约上门时间
    `task_deadline`              DATETIME,                                      -- 整改时限(详情页显示和计算超时)
    `repair_time`                DATETIME,                                      -- 整改时间
    `repair_remark`              varchar(200) DEFAULT '',                       -- 整改说明
    `repair_user_id`             char(36) DEFAULT '' COLLATE NOCASE,            -- 整改人
    `timeout_reason`             varchar(200) DEFAULT '',                       -- 整改超时原因
    `timeout_reason_remark`      varchar(200) DEFAULT '',                       -- 整改超时原因补充说明
    `send_back_user_id`          char(36) DEFAULT '' COLLATE NOCASE,            -- 退回人
    `send_back_date`             DATETIME,                                      -- 工程师退回时间
    `send_back_times`            tinyint(1) DEFAULT 0,                     -- 工程师退回次数
    `send_back_reason`           varchar(200) DEFAULT '',                 -- 工程师退回原因
    `send_back_reason_remark`    varchar(200) DEFAULT '',          -- 工程师退回原因补充说明
    `is_update`                  tinyint(1) DEFAULT 0,               -- 是否为新任务,红点标识
    `is_discard`                 INTEGER DEFAULT 0,        -- 是否作废,1:作废,0:非作废
    `discard_time`               DATETIME,               -- 作废时间
    `send_back_developer_time`   DATETIME,    -- 退回开发商时间
    `is_send_back`               tinyint(1) DEFAULT 0,            -- 是否退回开发商
    `is_delete`                  tinyint(1) DEFAULT 0,               -- 是否删除（1:已删除0:未删除）
    PRIMARY KEY (`id`)
);
-- 3.问题详情
-- 整改前后图片关联表(kf_work_images type:0为整改前图片，1为整改后图片)
CREATE TABLE IF NOT EXISTS kf_work_images
(
   id                   TEXT PRIMARY KEY NOT NULL COLLATE NOCASE,
   work_id              TEXT COLLATE NOCASE,
   proj_id              TEXT COLLATE NOCASE,
   img_url              TEXT,
   img_localpath        TEXT,
   sort                 INTEGER DEFAULT 0,
   type                 TEXT
);


-- ****************************************************************************************** --
-- ！！！严重声明：该文件的最后一行，不能存在空行、回车符、换行符、sql 注释，否则在 iOS 上执行会报错 ！！！ --
-- ****************************************************************************************** --



-- 客服 索引 --
CREATE INDEX IF NOT EXISTS idx_kf_work_proj_id ON kf_work (proj_id);
CREATE INDEX IF NOT EXISTS idx_kf_work_status ON kf_work (status);
CREATE INDEX IF NOT EXISTS idx_kf_work_images_proj_id ON kf_work_images (proj_id);
CREATE INDEX IF NOT EXISTS idx_kf_my_team_proj_id ON kf_my_team (proj_id);
CREATE INDEX IF NOT EXISTS idx_building_id ON kf_building_unit (building_id);
